CatalogCollections
Create collection
Creates a static or dynamic product collection.
POST
/v1/catalog/collectionsCreates a static or dynamic product collection.
Authorization
bearerAuth AuthorizationBearer <token>
OAuth2 access token issued by Ecomiq Auth.
In: header
Header Parameters
x-Store-Id?string
Store the request acts on. Not needed when the token is bound to a store.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X POST "https://example.com/v1/catalog/collections" \ -H "x-Store-Id: <store-id>" \ -H "Authorization: Bearer <token>" \ -H "Content-Type: application/json" \ -d '{ "name": "Example resource", "slug": "example-resource", "description": "Example description.", "status": "draft", "image": { "id": "7204558912004325301", "url": "https://example.com/resource" }, "type": "static", "dynamicOperator": "and", "validFrom": "2026-08-01T15:30:00Z" }'{ "id": "7204558912004325301"}